Package twisted :: Package web :: Module distrib :: Class ResourcePublisher

[frames | no frames]

## Class ResourcePublisher

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                     Root --+
                            |
                Versioned --+
                            |
                           ResourcePublisher

Method Summary
| `__init__(self, site)`
| `getPerspectiveNamed(self, name)`
| `remote_request(self, request)`
| `upgradeToVersion2(self)`
Inherited from Root
| ``rootObject`(self, broker)` A `pb.BrokerFactory` is requesting to publish me as a root object.
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 2
Inherited from Root
`tuple` | `__implements__` = `(<class twisted.spread.flavors.IPBRoot ...`
Inherited from Referenceable
`NoneType` | `perspective` = None
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        2

Generated by Epydoc 2.0 on Sat May 15 20:08:30 2004 | http://epydoc.sf.net